Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network36.2.6.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
36.2.6.0
Broadcast address
36.2.7.255
First usable
36.2.6.1
Last usable
36.2.7.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Public public
Old class
A (default /8)
As numbers
Hex 24020600 · Integer 604112384 to 604112895
Reverse DNS zones
6.2.36.in-addr.arpa
7.2.36.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100100.00000010.00000110.0000000036.2.6.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network00100100.00000010.00000110.0000000036.2.6.0
Broadcast00100100.00000010.00000111.1111111136.2.7.255
Split into smaller subnets/30

36.2.6.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
136.2.6.0/3036.2.6.1 to 36.2.6.236.2.6.32
236.2.6.4/3036.2.6.5 to 36.2.6.636.2.6.72
336.2.6.8/3036.2.6.9 to 36.2.6.1036.2.6.112
436.2.6.12/3036.2.6.13 to 36.2.6.1436.2.6.152
536.2.6.16/3036.2.6.17 to 36.2.6.1836.2.6.192
636.2.6.20/3036.2.6.21 to 36.2.6.2236.2.6.232
736.2.6.24/3036.2.6.25 to 36.2.6.2636.2.6.272
836.2.6.28/3036.2.6.29 to 36.2.6.3036.2.6.312
936.2.6.32/3036.2.6.33 to 36.2.6.3436.2.6.352
1036.2.6.36/3036.2.6.37 to 36.2.6.3836.2.6.392
1136.2.6.40/3036.2.6.41 to 36.2.6.4236.2.6.432
1236.2.6.44/3036.2.6.45 to 36.2.6.4636.2.6.472
1336.2.6.48/3036.2.6.49 to 36.2.6.5036.2.6.512
1436.2.6.52/3036.2.6.53 to 36.2.6.5436.2.6.552
1536.2.6.56/3036.2.6.57 to 36.2.6.5836.2.6.592
1636.2.6.60/3036.2.6.61 to 36.2.6.6236.2.6.632
1736.2.6.64/3036.2.6.65 to 36.2.6.6636.2.6.672
1836.2.6.68/3036.2.6.69 to 36.2.6.7036.2.6.712
1936.2.6.72/3036.2.6.73 to 36.2.6.7436.2.6.752
2036.2.6.76/3036.2.6.77 to 36.2.6.7836.2.6.792
2136.2.6.80/3036.2.6.81 to 36.2.6.8236.2.6.832
2236.2.6.84/3036.2.6.85 to 36.2.6.8636.2.6.872
2336.2.6.88/3036.2.6.89 to 36.2.6.9036.2.6.912
2436.2.6.92/3036.2.6.93 to 36.2.6.9436.2.6.952
2536.2.6.96/3036.2.6.97 to 36.2.6.9836.2.6.992
2636.2.6.100/3036.2.6.101 to 36.2.6.10236.2.6.1032
2736.2.6.104/3036.2.6.105 to 36.2.6.10636.2.6.1072
2836.2.6.108/3036.2.6.109 to 36.2.6.11036.2.6.1112
2936.2.6.112/3036.2.6.113 to 36.2.6.11436.2.6.1152
3036.2.6.116/3036.2.6.117 to 36.2.6.11836.2.6.1192
3136.2.6.120/3036.2.6.121 to 36.2.6.12236.2.6.1232
3236.2.6.124/3036.2.6.125 to 36.2.6.12636.2.6.1272
3336.2.6.128/3036.2.6.129 to 36.2.6.13036.2.6.1312
3436.2.6.132/3036.2.6.133 to 36.2.6.13436.2.6.1352
3536.2.6.136/3036.2.6.137 to 36.2.6.13836.2.6.1392
3636.2.6.140/3036.2.6.141 to 36.2.6.14236.2.6.1432
3736.2.6.144/3036.2.6.145 to 36.2.6.14636.2.6.1472
3836.2.6.148/3036.2.6.149 to 36.2.6.15036.2.6.1512
3936.2.6.152/3036.2.6.153 to 36.2.6.15436.2.6.1552
4036.2.6.156/3036.2.6.157 to 36.2.6.15836.2.6.1592
4136.2.6.160/3036.2.6.161 to 36.2.6.16236.2.6.1632
4236.2.6.164/3036.2.6.165 to 36.2.6.16636.2.6.1672
4336.2.6.168/3036.2.6.169 to 36.2.6.17036.2.6.1712
4436.2.6.172/3036.2.6.173 to 36.2.6.17436.2.6.1752
4536.2.6.176/3036.2.6.177 to 36.2.6.17836.2.6.1792
4636.2.6.180/3036.2.6.181 to 36.2.6.18236.2.6.1832
4736.2.6.184/3036.2.6.185 to 36.2.6.18636.2.6.1872
4836.2.6.188/3036.2.6.189 to 36.2.6.19036.2.6.1912
4936.2.6.192/3036.2.6.193 to 36.2.6.19436.2.6.1952
5036.2.6.196/3036.2.6.197 to 36.2.6.19836.2.6.1992
5136.2.6.200/3036.2.6.201 to 36.2.6.20236.2.6.2032
5236.2.6.204/3036.2.6.205 to 36.2.6.20636.2.6.2072
5336.2.6.208/3036.2.6.209 to 36.2.6.21036.2.6.2112
5436.2.6.212/3036.2.6.213 to 36.2.6.21436.2.6.2152
5536.2.6.216/3036.2.6.217 to 36.2.6.21836.2.6.2192
5636.2.6.220/3036.2.6.221 to 36.2.6.22236.2.6.2232
5736.2.6.224/3036.2.6.225 to 36.2.6.22636.2.6.2272
5836.2.6.228/3036.2.6.229 to 36.2.6.23036.2.6.2312
5936.2.6.232/3036.2.6.233 to 36.2.6.23436.2.6.2352
6036.2.6.236/3036.2.6.237 to 36.2.6.23836.2.6.2392
6136.2.6.240/3036.2.6.241 to 36.2.6.24236.2.6.2432
6236.2.6.244/3036.2.6.245 to 36.2.6.24636.2.6.2472
6336.2.6.248/3036.2.6.249 to 36.2.6.25036.2.6.2512
6436.2.6.252/3036.2.6.253 to 36.2.6.25436.2.6.2552
6536.2.7.0/3036.2.7.1 to 36.2.7.236.2.7.32
6636.2.7.4/3036.2.7.5 to 36.2.7.636.2.7.72
6736.2.7.8/3036.2.7.9 to 36.2.7.1036.2.7.112
6836.2.7.12/3036.2.7.13 to 36.2.7.1436.2.7.152
6936.2.7.16/3036.2.7.17 to 36.2.7.1836.2.7.192
7036.2.7.20/3036.2.7.21 to 36.2.7.2236.2.7.232
7136.2.7.24/3036.2.7.25 to 36.2.7.2636.2.7.272
7236.2.7.28/3036.2.7.29 to 36.2.7.3036.2.7.312
7336.2.7.32/3036.2.7.33 to 36.2.7.3436.2.7.352
7436.2.7.36/3036.2.7.37 to 36.2.7.3836.2.7.392
7536.2.7.40/3036.2.7.41 to 36.2.7.4236.2.7.432
7636.2.7.44/3036.2.7.45 to 36.2.7.4636.2.7.472
7736.2.7.48/3036.2.7.49 to 36.2.7.5036.2.7.512
7836.2.7.52/3036.2.7.53 to 36.2.7.5436.2.7.552
7936.2.7.56/3036.2.7.57 to 36.2.7.5836.2.7.592
8036.2.7.60/3036.2.7.61 to 36.2.7.6236.2.7.632
8136.2.7.64/3036.2.7.65 to 36.2.7.6636.2.7.672
8236.2.7.68/3036.2.7.69 to 36.2.7.7036.2.7.712
8336.2.7.72/3036.2.7.73 to 36.2.7.7436.2.7.752
8436.2.7.76/3036.2.7.77 to 36.2.7.7836.2.7.792
8536.2.7.80/3036.2.7.81 to 36.2.7.8236.2.7.832
8636.2.7.84/3036.2.7.85 to 36.2.7.8636.2.7.872
8736.2.7.88/3036.2.7.89 to 36.2.7.9036.2.7.912
8836.2.7.92/3036.2.7.93 to 36.2.7.9436.2.7.952
8936.2.7.96/3036.2.7.97 to 36.2.7.9836.2.7.992
9036.2.7.100/3036.2.7.101 to 36.2.7.10236.2.7.1032
9136.2.7.104/3036.2.7.105 to 36.2.7.10636.2.7.1072
9236.2.7.108/3036.2.7.109 to 36.2.7.11036.2.7.1112
9336.2.7.112/3036.2.7.113 to 36.2.7.11436.2.7.1152
9436.2.7.116/3036.2.7.117 to 36.2.7.11836.2.7.1192
9536.2.7.120/3036.2.7.121 to 36.2.7.12236.2.7.1232
9636.2.7.124/3036.2.7.125 to 36.2.7.12636.2.7.1272
9736.2.7.128/3036.2.7.129 to 36.2.7.13036.2.7.1312
9836.2.7.132/3036.2.7.133 to 36.2.7.13436.2.7.1352
9936.2.7.136/3036.2.7.137 to 36.2.7.13836.2.7.1392
10036.2.7.140/3036.2.7.141 to 36.2.7.14236.2.7.1432
10136.2.7.144/3036.2.7.145 to 36.2.7.14636.2.7.1472
10236.2.7.148/3036.2.7.149 to 36.2.7.15036.2.7.1512
10336.2.7.152/3036.2.7.153 to 36.2.7.15436.2.7.1552
10436.2.7.156/3036.2.7.157 to 36.2.7.15836.2.7.1592
10536.2.7.160/3036.2.7.161 to 36.2.7.16236.2.7.1632
10636.2.7.164/3036.2.7.165 to 36.2.7.16636.2.7.1672
10736.2.7.168/3036.2.7.169 to 36.2.7.17036.2.7.1712
10836.2.7.172/3036.2.7.173 to 36.2.7.17436.2.7.1752
10936.2.7.176/3036.2.7.177 to 36.2.7.17836.2.7.1792
11036.2.7.180/3036.2.7.181 to 36.2.7.18236.2.7.1832
11136.2.7.184/3036.2.7.185 to 36.2.7.18636.2.7.1872
11236.2.7.188/3036.2.7.189 to 36.2.7.19036.2.7.1912
11336.2.7.192/3036.2.7.193 to 36.2.7.19436.2.7.1952
11436.2.7.196/3036.2.7.197 to 36.2.7.19836.2.7.1992
11536.2.7.200/3036.2.7.201 to 36.2.7.20236.2.7.2032
11636.2.7.204/3036.2.7.205 to 36.2.7.20636.2.7.2072
11736.2.7.208/3036.2.7.209 to 36.2.7.21036.2.7.2112
11836.2.7.212/3036.2.7.213 to 36.2.7.21436.2.7.2152
11936.2.7.216/3036.2.7.217 to 36.2.7.21836.2.7.2192
12036.2.7.220/3036.2.7.221 to 36.2.7.22236.2.7.2232
12136.2.7.224/3036.2.7.225 to 36.2.7.22636.2.7.2272
12236.2.7.228/3036.2.7.229 to 36.2.7.23036.2.7.2312
12336.2.7.232/3036.2.7.233 to 36.2.7.23436.2.7.2352
12436.2.7.236/3036.2.7.237 to 36.2.7.23836.2.7.2392
12536.2.7.240/3036.2.7.241 to 36.2.7.24236.2.7.2432
12636.2.7.244/3036.2.7.245 to 36.2.7.24636.2.7.2472
12736.2.7.248/3036.2.7.249 to 36.2.7.25036.2.7.2512
12836.2.7.252/3036.2.7.253 to 36.2.7.25436.2.7.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses